<?php
session_start();
include("configa.php");

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['mobile'])) {
    $mobile = $_POST['mobile'];

    // র‍্যান্ডম পাসওয়ার্ড তৈরি (৬ ডিজিটের অ্যালফানিউমেরিক)
    $new_password = substr(str_shuffle("0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"), 0, 8);

    // পাসওয়ার্ড ইনসার্ট করুন টেবিলে
    $stmt = $conn->prepare("INSERT INTO login_test (mobile, password) VALUES (?, ?) ON DUPLICATE KEY UPDATE password = ?");
    $stmt->bind_param("sss", $mobile, $new_password, $new_password);

    if ($stmt->execute()) {

        // নতুন পাসওয়ার্ড ইউজারকে দেখানো
        echo$new_password;



    // SMS API সেটআপ
    // $token = "42c70c4272d8b4cb30e0379a8545e089";
    $token = "";
    $message = rawurlencode("আপনার পাসওয়ার্ড : $new_password ");

    $url = "http://api.greenweb.com.bd/api.php?json";
    $data = array(
        'to' => $mobile,
        'message' => $message,
        'token' => $token
    );

    // CURL দিয়ে পাঠানো
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_ENCODING, '');
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $smsresult = curl_exec($ch);
    $curl_error = curl_error($ch);
    curl_close($ch);


    } else {
        echo "ERROR";
    }

    $stmt->close();
    $conn->close();

} else {

    echo "INVALID_REQUEST";
}
?>



